Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.params
Class RSAPrivateCrtKeyParameters

    java.lang.Object
      org.bouncycastle.crypto.params.AsymmetricKeyParameter
          org.bouncycastle.crypto.params.RSAKeyParameters
              org.bouncycastle.crypto.params.RSAPrivateCrtKeyParameters

All Implemented Interfaces:
  CipherParameters

public class RSAPrivateCrtKeyParameters
extends RSAKeyParameters

Constructor Summary
`RSAPrivateCrtKeyParameters(java.math.BigInteger modulus, java.math.BigInteger publicExponent, java.math.BigInteger privateExponent, java.math.BigInteger p, java.math.BigInteger q, java.math.BigInteger dP, java.math.BigInteger dQ, java.math.BigInteger qInv)`
`RSAPrivateCrtKeyParameters(java.math.BigInteger modulus, java.math.BigInteger publicExponent, java.math.BigInteger privateExponent, java.math.BigInteger p, java.math.BigInteger q, java.math.BigInteger dP, java.math.BigInteger dQ, java.math.BigInteger qInv, boolean isInternal)`

Method Summary
`java.math.BigInteger` | `getDP()`
`java.math.BigInteger` | `getDQ()`
`java.math.BigInteger` | `getP()`
`java.math.BigInteger` | `getPublicExponent()`
`java.math.BigInteger` | `getQ()`
`java.math.BigInteger` | `getQInv()`

Methods inherited from class org.bouncycastle.crypto.params.RSAKeyParameters
`getExponent, getModulus, validateModulus`

Methods inherited from class org.bouncycastle.crypto.params.AsymmetricKeyParameter
`isPrivate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RSAPrivateCrtKeyParameters

    public RSAPrivateCrtKeyParameters(java.math.BigInteger modulus,
                                      java.math.BigInteger publicExponent,
                                      java.math.BigInteger privateExponent,
                                      java.math.BigInteger p,
                                      java.math.BigInteger q,
                                      java.math.BigInteger dP,
                                      java.math.BigInteger dQ,
                                      java.math.BigInteger qInv)

### RSAPrivateCrtKeyParameters

    public RSAPrivateCrtKeyParameters(java.math.BigInteger modulus,
                                      java.math.BigInteger publicExponent,
                                      java.math.BigInteger privateExponent,
                                      java.math.BigInteger p,
                                      java.math.BigInteger q,
                                      java.math.BigInteger dP,
                                      java.math.BigInteger dQ,
                                      java.math.BigInteger qInv,
                                      boolean isInternal)

Method Detail

### getPublicExponent

    public java.math.BigInteger getPublicExponent()

### getP

    public java.math.BigInteger getP()

### getQ

    public java.math.BigInteger getQ()

### getDP

    public java.math.BigInteger getDP()

### getDQ

    public java.math.BigInteger getDQ()

### getQInv

    public java.math.BigInteger getQInv()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD